View Issue Details

IDProjectCategoryView StatusLast Update
0000589SOGoApple Calendar (Mac OS X)public2014-09-25 09:25
Reportertrunneml Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.2.1 
Target Version2.2.9Fixed in Version2.2.9 
Summary0000589: With Apple iCal completed TODOs where not completed in sogo
Description

When I mark a TODO with Apple iCal over CalDAV/GroupDAV as completed. It is not displayed as completed in SOGo.
When I access the TODO with Sunbird/Lightning over GroupDAV it is display as completed like in iCal.

The resone is simple. Apples iCal.app only adds the COMPLETED Timestamp Tag and not more. As explained in the RFC 5545 Paragraph 3.6.2 (http://tools.ietf.org/html/rfc5545#section-3.6.2 see the example), this is enough and even if the STATUS-TAG has not the value "completed", the TODO is completed.

SOGo wants that STATUS-Flag and don't display the TODO as completed. But that is not required by the RFC for completing an TODO. The timestamp of completion is enough.

TagsNo tags attached.

Relationships

parent of 0001204 new update the icalendar handling to rfc 5545 
Not all the children of this issue are yet resolved or closed.

Issue History

Date Modified Username Field Change
2010-04-25 12:46 trunneml New Issue
2011-03-24 11:31 francis Category Web Calendar => Apple iCal.app
2011-03-24 11:40 wsourdeau Relationship added parent of 0001204
2014-09-12 11:29 ludovic Target Version => 2.2.9
2014-09-25 09:25 ludovic Note Added: 0007546
2014-09-25 09:25 ludovic Status new => resolved
2014-09-25 09:25 ludovic Fixed in Version => 2.2.9
2014-09-25 09:25 ludovic Resolution open => fixed
2014-09-25 09:25 ludovic Assigned To => ludovic
2014-09-26 14:08 ludovic Category Apple iCal.app => Apple Calendar (Mac OS X)